<script setup lang="ts">
import { useAppConfig } from '@/composables/useAppConfig'
const appConfig = useAppConfig()

const DefaultHome = defineAsyncComponent(() => import('./Default.vue'))
const GameHome = defineAsyncComponent(() => import('./Game.vue'))

const componentName = computed(() => {
  return appConfig.system === 'game' ? GameHome : DefaultHome
})
</script>

<template>
  <component :is="componentName"></component>
</template>
